<?php
// save_form_data.php

$message = ''; // Variable to store the message

// Get saved options to pre-fill the form
$tenant_id = get_option('zenobot-tenantid', '');
$product_id = get_option('zenobot-productid', '');
$your_name = get_option('zenobot-yourname', '');
$mobile = get_option('zenobot-mob', '');

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['zenobot_nonce'])) {
    // Verify nonce for security
    if (!wp_verify_nonce($_POST['zenobot_nonce'], 'zenobot_save_data')) {
        $message = 'مشکلی در امنیت درخواست وجود دارد.';
    } elseif (!current_user_can('manage_options')) {
        $message = 'شما اجازه انجام این عملیات را ندارید.';
    } else {
        // Process and save form data
        $tenant_id = sanitize_text_field($_POST['tenant_id']);
        $product_id = sanitize_text_field($_POST['product_id']);
        $your_name = sanitize_text_field($_POST['your_name']);
        $mobile = sanitize_text_field($_POST['mobile']);

        // Validate mobile number format
        if (!empty($mobile) && !preg_match('/^\+?\d{10,15}$/', $mobile)) {
            $message = 'فرمت شماره تماس صحیح نیست.';
        } else {
            // Save information in WordPress database
            update_option('zenobot-tenantid', $tenant_id);
            update_option('zenobot-productid', $product_id);
            update_option('zenobot-yourname', $your_name);
            update_option('zenobot-mob', $mobile);

            // File operations
            $sample_file_path = plugin_dir_path(__FILE__) . '../sample/sample.js';
            $plugin_file_path = plugin_dir_path(__FILE__) . '../sample/plugin.js';

            if (file_exists($sample_file_path)) {
                // Read the content of sample.js
                $js_content = file_get_contents($sample_file_path);

                // Replace placeholders with dynamic values
                $js_content = str_replace(
                    ["let ProductId='';", "let TenantId='';"],
                    ["let ProductId='$product_id';", "let TenantId='$tenant_id';"],
                    $js_content
                );

                // Delete the existing plugin.js file if it exists
                if (file_exists($plugin_file_path)) {
                    unlink($plugin_file_path);
                }

                // Write the updated content to plugin.js
                if (file_put_contents($plugin_file_path, $js_content) !== false) {
                    $message = 'اطلاعات با موفقیت ذخیره شد و فایل جاوااسکریپت به‌روزرسانی شد.';
                } else {
                    $message = 'اطلاعات ذخیره شد، اما فایل جاوااسکریپت به‌روزرسانی نشد.';
                }
            } else {
                $message = 'فایل sample.js یافت نشد.';
            }
        }
    }
}



